com.amazonaws.services.cloudfront.model

## Class StreamingDistributionConfigWithTags

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.StreamingDistributionConfigWithTags

All Implemented Interfaces:
  Serializable, Cloneable

    public class StreamingDistributionConfigWithTags
    extends Object
    implements Serializable, Cloneable

A streaming distribution Configuration and a list of tags to be associated with the streaming distribution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StreamingDistributionConfigWithTags()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StreamingDistributionConfigWithTags` `clone()`
`boolean` `equals(Object obj)`
`StreamingDistributionConfig` `getStreamingDistributionConfig()` A streaming distribution Configuration.
`Tags` `getTags()` A complex type that contains zero or more `Tag` elements.
`int` `hashCode()`
`void` `setStreamingDistributionConfig(StreamingDistributionConfig streamingDistributionConfig)` A streaming distribution Configuration.
`void` `setTags(Tags tags)` A complex type that contains zero or more `Tag` elements.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`StreamingDistributionConfigWithTags` `withStreamingDistributionConfig(StreamingDistributionConfig streamingDistributionConfig)` A streaming distribution Configuration.
`StreamingDistributionConfigWithTags` `withTags(Tags tags)` A complex type that contains zero or more `Tag` elements.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StreamingDistributionConfigWithTags

    public StreamingDistributionConfigWithTags()

### Method Detail

#### setStreamingDistributionConfig

    public void setStreamingDistributionConfig(StreamingDistributionConfig streamingDistributionConfig)

A streaming distribution Configuration.

Parameters:
  `streamingDistributionConfig` - A streaming distribution Configuration.

#### getStreamingDistributionConfig

    public StreamingDistributionConfig getStreamingDistributionConfig()

A streaming distribution Configuration.

Returns:
  A streaming distribution Configuration.

#### withStreamingDistributionConfig

    public StreamingDistributionConfigWithTags withStreamingDistributionConfig(StreamingDistributionConfig streamingDistributionConfig)

A streaming distribution Configuration.

Parameters:
  `streamingDistributionConfig` - A streaming distribution Configuration.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTags

    public void setTags(Tags tags)

A complex type that contains zero or more `Tag` elements.

Parameters:
  `tags` - A complex type that contains zero or more `Tag` elements.

#### getTags

    public Tags getTags()

A complex type that contains zero or more `Tag` elements.

Returns:
  A complex type that contains zero or more `Tag` elements.

#### withTags

    public StreamingDistributionConfigWithTags withTags(Tags tags)

A complex type that contains zero or more `Tag` elements.

Parameters:
  `tags` - A complex type that contains zero or more `Tag` elements.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public StreamingDistributionConfigWithTags clone()

Overrides:
  `clone` in class `Object`